Create SaleAsk AIpost https://sales.api.shoppinggives.com/Authorization: Store:Sales:WriteBody ParamsorderIdstring | nullInternal ID of the order you want to reference; must match the user facing order ID.totaldoubleTotal amount of this sale.subTotaldoubleAmount before discount (line items alone).discountdoubleTotal discount for the order.amountdoubleSubtotal of the user's shopping cart AFTER discount (i.e. line items - discounts).promoCodesarray of strings | nullAny coupon / promo codes used during the purchase.promoCodesADD stringtrackingIduuid | nullA GUID that is created via our tracking script and stored in sessionStorage. It is used to identify the customer's shopping session and save their selected cause. It is best to retrieve the ID from the sessionStorage object and provide here, but we fall back to setting it from the order confirmation page.locationIduuid | null(OPTIONAL) Location information for user-based metrics.lineItemsarray of objects | nullAn array of line items included in the order.lineItemsADD objectorderCreatedAtUtcdate-timeThe time the order was created (UTC); this allows us to tell the difference between order creation time and our sale creation time.userFirstNamestring | null(OPTIONAL) The first name associated with the user.userLastNamestring | null(OPTIONAL) The last name associated with the user.userEmailstring | null(OPTIONAL) The user's email address; this is not stored in plain text, and will be hashed as the user's GivingProfileId for analytics.userCustomerIdstring | null(OPTIONAL) Any string used to identify a user in your CMS, for example:"CUST01234", "1234412", or "PERSON1".userGenderIdint32(OPTIONAL) The gender associated with the user; see below for options. 0 = Unknown 1 = Male 2 = Female 3 = OtheruserLocationAddressstring | null(OPTIONAL) The location address associated with the user.userLocationCitystring | null(OPTIONAL) The city associated with the user.userLocationZipCodestring | null(OPTIONAL) The zipcode associated with the user.userLocationCountrystring | null(OPTIONAL) The country associated with the user.userLocationRegionstring | null(OPTIONAL) The region associated with the user.userExtensionsobject | null(OPTIONAL) Custom, freeform JSON extensions for querying and analytics.userExtensions object | nullextensionsobject | null(OPTIONAL) Custom, freeform JSON extensions for querying and analytics.extensions object | nullnotificationEmailstring | null(OPTIONAL) If email notifications are enabled, we will attempt to email this address with donation confirmation if provided.notificationNamestring | null(OPTIONAL) If email notifications are enabled, this is the name of the user the donation confirmation will be addressed to.Headersx-store-idstringrequiredYour store ID (we will provide this).acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/jsontext/plainAllowed:application/jsontext/jsontext/plainResponses 200Success 400Invalid RequestUpdated about 2 years ago